
//______________________________________________________
//------------------------------------------------------
//******************************************************
//
//    		The AKMS Addon
//
//		by Turek2
//  
//******************************************************
//------------------------------------------------------
//______________________________________________________// some basic defines
#define TEast 1
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class t2akms
	{
		units[] = {t2akmssoldier1,t2akmssoldier2,t2akmssoldier3};
		weapons[] = {t2akms};
		requiredVersion = 1.30;
	};

};



class CfgWeapons

{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class AK47: Riffle {};
	
	class t2akms: AK47
	{
		displayName = AKMS;
		

		magazines[]={"AK47"};
		scopeWeapon=2;
		scopeMagazine=0;
		model="\t2akms\t2akms.p3d";
		modelOptics="\data3d\optika_ak47.p3d";
		picture="\t2akms\t2akms.jpg"
		optics = true;
		opticsZoomMin=0.35;
		opticsZoomMax=0.35;            



	};


};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
        class SoldierGB:Soldier{};
	class SoldierEB:Soldier{};
	class SoldierESaboteur: SoldierEB{};
        class SoldierESaboteurPipe: SoldierESaboteur{};
       
        class t2akmssoldier1: SoldierEB
	{
	displayName="T2 Soldier (AKMS)";
	weapons[]={"t2akms","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,AK47,AK47,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};
        class t2akmssoldier2: SoldierESaboteurPipe
	{
		scope=2;
		displayName="T2 Spetz Natz (AKMS)";
		weapons[]={"t2akms","NVGoggles","Throw","Put"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","Handgrenade","Handgrenade","Handgrenade","Handgrenade"};
	};
	
	class t2akmssoldier3: SoldierGB
	{
	displayName="T2 Soldier (AKMS)";
	weapons[]={"t2akms","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,AK47,AK47, HandGrenade,HandGrenade, HandGrenade,HandGrenade};
	};

	
	
};


class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class Proxyt2akms: ProxyWeapon {};
};

































//copyright Wojtek "Turek2" Turowicz 2002